//
// motors.h
//

#ifndef MOTORS_H_
#define MOTORS_H_


namespace Motors
{
	/**
	 * Setup the Arduino as required.
	 */
	void setup();

	/**
	 * Update the motor channel values.
	 * 
	 * @param channel_values an array of NUM_MOTORS values, each in the range 0
	 * to MAX_CHANNEL_VALUE
	 */
	void set_values( int channel_values[] );

	/**
	 * Update the motor pulses.  This should be called repeatedly, as often as
	 * possible.
	 */
	void update();
}


#endif //MOTORS_H_
